incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chip Childers <chip.child...@sungard.com>
Subject Re: SystemVM ISO is not installed with 4.0 on Ubuntu or Debian
Date Wed, 31 Oct 2012 16:46:58 GMT
On Wed, Oct 31, 2012 at 12:43 PM, Wido den Hollander <wido@widodh.nl> wrote:
> Hi,
>
> I just did a fresh CloudStack 4.0 installation from the Debian packages we
> have and I found a dependency issue.
>
> cloud-agent does not depend on cloud-system-iso, thus it doesn't get
> installed.
>
> This took me about 2 hours to figure out why my System VMs weren't working
> properly.
>
> I'll push a fix for this to the master branch, but this will be broken in
> the 4.0 release.

Can you also push to 4.0, so that we have it corrected when / if we do
a 4.0.1 bug-fix release?

Also, I think we should probably have a bug filed on this...

> When using apt to install the Agent from the Debian repo they will have to
> manually install the system-iso package.
>
> I'm thinking about adding this dependency to the packages on
> cloudstack.apt-get.eu to prevent this from happening to new users.

I think that would be great to have fixed in your version.  I guess
you could really just use the HEAD of the 4.0 branch, if it included
this fix.  Entirely up to you though...

> Wido
>

Mime
View raw message